/* Funcion que permite el envio de datos por el puerto serie
 *  Enmascara a la funcion println
 *  Para leer el dato, se debe tener en cuenta el salto de linea
*/
void enviarDatos(int dato){
   Serial.println(dato);
}
/*
  * Función que permite la adquisición del dato de frecuencia de operación a traves del canal serial
  * La frecuencia enviada a través del canal serial se recibe con codificación utf-8 y debe ser un número de 5 dígitos
  * Retorna la frecuecuencia adquirida
*/
long int adquirirFrecuenciaDDS(){
  while (!Serial.available());//control de cambio de frecuencia
  String auxFrec=Serial.readString();
  auxFrec+=Serial.readString();
  auxFrec+=Serial.readString();
  auxFrec+=Serial.readString();
  auxFrec+=Serial.readString();
  long int frec = auxFrec.toFloat();
  return frec;
}

/*
 * Función que permite la inicialización de la comunicación serial
 */
void inicializarComSerial(){
    Serial.begin(9600);
    Serial.setTimeout(1);
}

/*
 * Función que permite la identificación del dispositivo ImpetomC a través del canal serial
 * Para utilizarla se debe enviar un caracter cualesquiera a traves del canal serial, con codigicacion utf-8
 */
void identificarDispositivoImpetom(){
   while (!Serial.available());
   Serial.readString();
   Serial.println("ImpetomC");
}
/*
 * Función que permite la adquisición del modo de operacion desde el canal serial
 * Para utilizarla se debe enviar por el canal serial un 0 o un 1 con codificacion utf-8
 * Retorna un int que sera 0 o 1 de acuerdo a a lo anterior
 */
int adquirirModoDeOperacion(){
  while (!Serial.available());
  int modo = Serial.parseInt();
  return modo;
}
