/*
 * Estas cinco funciones que siguen se utilizan para tener control sobre las habilitaciones de los mux de tensión y corriente
 * Simplemente enmascaran a las funciones de digitalWrite y permiten la habilitación y deshabilitación de los mux de una forma más descriptiva.
 * Recordar que los multiplexores CD74HC4067 son activos por LOW, por lo que al utilizar las compuertas NOR son activos por HIGH
*/

void deshabilitarTodosLosElectrodos(){
  digitalWrite(enableTension,LOW);
  digitalWrite(enableCorriente,LOW);
}

void habilitarMuxDeTension(){
  digitalWrite(enableTension,HIGH);
}

void deshabilitarMuxDeTension(){
  digitalWrite(enableTension,LOW);
}

void habilitarMuxDeCorriente(){
    digitalWrite(enableCorriente,HIGH);
}

void deshabilitarMuxDeCorriente(){
  digitalWrite(enableCorriente,LOW);
}
